> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/lva/api-dokumentacija/geo-galapunkti-telpisko-datu-piekluvei/wms-iegut-telpisko-datu-slanu-rastra-attelus/16.-satelitattels-apgriezts-pec-lauka-robezas.md).

# 16. Satelītattēls: apgriezts pēc lauka robežas

Precīzs (ne pikselēts) Satelīta attēla griezums, kas balstīts uz noteikto lauka robežu, ir pieejams dažādos skatos, piemēram, `RGB, NIR, EVI2, LAI, NDVI, GNDVI, IPVI, GCI, SAVI, OSAVI, NDWI, WDRVI, NDMI, MCARI`, utt.&#x20;

Katrs SatelliteImage satur `geoMaps` objektu, kas ietver renderēšanas detaļas, piemēram, `url`, krāsu kodus, klases un nosaukumu. Šīs detaļas atrodas `lauks` -> `satelliteImages` -> `geoMaps` atribūts. The `url` konkrēti tiek izmantots, lai parādītu kartes kā WMS slāni.

Lai ilustrētu, zemāk ir sniegti izvades paraugi NIR un WDRVI skatiem.

### Tuvu infrasarkanā (NIR), WDRVI un WDRVI kontrasts

![NIR](/files/31ab024f426966127b0382e53cd37508cf3dc752) ![WDRVI](/files/8386a9a4ad0d67edef72017cfa0f7563ecb48a71) ![WDRVI Contrast](/files/e77ead93c585429d8fe9241a2d66d4e5793f1631)

Pieprasījuma formāts ir [https://api.geopard.tech/geo/map/reflect?TRANSPARENT=true\&VIEWPARAMS=uuid:\<field\_uuid>\&TIME=2020-07-22T17%3A50%3A22Z\&BBOX=\<minX,minY,maxX,maxY>\&LAYERS=sentinel2\_wdrvi\_and\_field\&SRS=EPSG%3A900913\&WIDTH=512\&geopardApiKey=\<geopard\_api\_key>](https://api.geopard.tech/geo/map/reflect?TRANSPARENT=true\&VIEWPARAMS=uuid:).&#x20;

### URL parametru skaidrojums

Kur ievades atribūti ir:

1. `VIEWPARAMS=uuid:<field_uuid>` satur `uuid` no "Lauks";
2. `TIME=2020-07-22T17%3A50%3A22Z` ir satelīta attēla datu formāts YYYY-MM-DDThh:mm:ssZ (URL kodēts) un atrodas entitātē "FieldSatelliteImagery" ar `acquisitionDate` atribūtu;
3. `BBOX=<minX,minY,maxX,maxY>` satur lauka robežkasti (URL kodēta) EPSG:3857 projekcijā;
4. `WIDTH=512`  atspoguļo izejas attēla izmēru pikseļos (precīzs skaitlis ir svarīgs tikai tad, ja tas tiek izmantots kā sīktēls);
5. `geopardApiKey=<geopard_api_key>` ir saistīts ar autorizācijas opciju, izmantojot API atslēgu;
6. `LAYERS=sentinel2_wdrvi_and_field` atspoguļo stilu, nodrošinātāja atribūts atrodas entitātē "FieldSatelliteImagery".

Pieejamās Sentinel2 (`S2`) attēlojuma iespējas `LAYERS` ir:

`sentinel2_ndvi_and_field`&#x20;

`sentinel2_evi2_and_field`&#x20;

`sentinel2_rgb_and_field`&#x20;

`sentinel2_gci_and_field`

`sentinel2_lai_and_field`&#x20;

`sentinel2_nir_and_field`&#x20;

`sentinel2_osavi_and_field`&#x20;

`Sentinel2_wdrvi_and_field`

pieejamās iespējas Landsat8 (`L8, L9`) attēlojuma iespējas `LAYERS` ir:

`landsat8_ndvi_and_field`&#x20;

`landsat8_evi2_and_field`&#x20;

`landsat8_rgb_and_field`&#x20;

`landsat8_gci_and_field`

`landsat8_lai_and_field`&#x20;

`landsat8_nir_and_field`&#x20;

`landsat8_osavi_and_field`&#x20;

`landsat8_wdrvi_and_field`

pieejamās iespējas Landsat4-7 (`L4, L5, L6, L7`) attēlojuma iespējas `LAYERS` ir:

`landsat4-7_ndvi_and_field`&#x20;

`landsat4-7_evi2_and_field`&#x20;

`landsat4-7_rgb_and_field`&#x20;

`Landsat4-7_gci_and_field`

`landsat4-7_lai_and_field`&#x20;

`landsat4-7_nir_and_field`&#x20;

`landsat4-7_osavi_and_field`&#x20;

`landsat4-7_wdrvi_and_field`

<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/lva/api-dokumentacija/geo-galapunkti-telpisko-datu-piekluvei/wms-iegut-telpisko-datu-slanu-rastra-attelus/16.-satelitattels-apgriezts-pec-lauka-robezas.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
